Skip to content

Scan Container Registry

POST
/api/v1/container_registry/projects-scanner/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/projects-scanner/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"project_name": "cr-39269"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
project_name
string

Example

cr-39269

Container Registry tags retrieved successfully.

Media typeapplication/json
object
code
integer
data
Array<Array>
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": [
[
"nginx"
]
],
"errors": {},
"message": "Success"
}